PHP Manual
Prev |  | Next

# fbsql_result

(PHP 4 >= 4.0.6, PHP 5)

fbsql_result -- Get result data

## Description

mixed fbsql_result ( resource result [, int row [, mixed field]] )

Returns the contents of one cell from a FrontBase `result` set.

When working on large result sets, you should consider using one of the functions that fetch an entire row (specified below). As these functions return the contents of multiple cells in one function call, they're MUCH quicker than fbsql_result().

Calls to fbsql_result() should not be mixed with calls to other functions that deal with the result set.

## Parameters

`result`

  A result identifier returned by fbsql_query() or fbsql_db_query().

`row`

`field`

  Can be the field's offset, or the field's name, or the field's table dot field's name (tabledname.fieldname).

  If the column name has been aliased ('select foo as bar from...'), use the alias instead of the column name.

  > Note: Specifying a numeric offset for the field argument is much quicker than specifying a fieldname or tablename.fieldname argument.

## Return Values

## See Also

Recommended high-performance alternatives:

fbsql_fetch_row()
fbsql_fetch_array()
fbsql_fetch_assoc()
fbsql_fetch_object()

Prev | Home | Next
fbsql_read_clob | Up | fbsql_rollback